package ${packageName};

import ${modelPackageName}.${model};
import pro.shushi.pamirs.meta.annotation.Fun;
import pro.shushi.pamirs.meta.annotation.Function;


/*
 * 接口必须@Fun才能在分布式下自动走远程
 * 方法上加@Function，才能在低代码工具中被在线替换
 */
@Fun(${modelService}.FUN_NAMESPACE)
public interface ${modelService} {

    String FUN_NAMESPACE = "${moduleNamePrefix}.${moduleName}.${modelService}";

    /**
     * 创建${model}接口
     * @param record
     * @return
     */
    @Function
    ${model} create(${model} record);

    /**
     * 更新${model}接口
     * @param record
     * @return
     */
    @Function
    ${model} update(${model} record);

}
